Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.i18n
Interface MessageHandler

All Superinterfaces:
  Handler

All Known Implementing Classes:
  AbstractMessageHandler, GlobalMessages, LAFMessageHandler

    public interface MessageHandler

extends Handler

Standard Message handler that takes a root package, plus key and resolves that into one/more resultant messages. This Handler is used by all message types to enable flexible look and feel as well as i18n to be implemented in variable ways.

Author:
  dhushon

Method Summary
`String` | `getString(String key)` get a key from the default (System global) bundle
`String` | `getString(String packageName, String key)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5)` get a key from the defined package bundle, by key
`String` | `getString(String packageName, String key, String param1, String param2, String param3, String param4, String param5, String param6)` get a key from the defined package bundle, by key

Method Detail

### getString

    String getString(String key)

  get a key from the default (System global) bundle

  Parameters:
    `key` -
  Returns:

### getString

    String getString(String packageName,
                     String key)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1,
                     String param2)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
    `param2` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1,
                     String param2,
                     String param3)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
    `param2` -
    `param3` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1,
                     String param2,
                     String param3,
                     String param4)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
    `param2` -
    `param3` -
    `param4` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1,
                     String param2,
                     String param3,
                     String param4,
                     String param5)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
    `param2` -
    `param3` -
    `param4` -
    `param5` -
  Returns:

### getString

    String getString(String packageName,
                     String key,
                     String param1,
                     String param2,
                     String param3,
                     String param4,
                     String param5,
                     String param6)

  get a key from the defined package bundle, by key

  Parameters:
    `packageName` -
    `key` -
    `param1` -
    `param2` -
    `param3` -
    `param4` -
    `param5` -
    `param6` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD